MORE(1)

NAZWA
more - filtrowa przeglądarka plików do CRT

SKŁADNIA

more [opcje] plik ...

OPIS

more jest filtrem służącym do przeglądania tekstu strona po stronie, jeden ekran na raz. Bieżąca wersja jest szczególnie prymitywna. Użytkownicy powinni zdać sobie sprawę że less(1) dostarcza emulacji more(1) wraz z licznymi ulepszeniami (mniej znaczy więcej!).

OPCJE

Opcje pobierane są także ze zmiennej środowiskowej MORE (proszę się upewnić, że poprzedzono je myślnikiem ("-")), ale opcje wiersza poleceń mogą je unieważnić.

-d, --silent
    Wpisuje komunikat "[Spacja kontynuuje, 'q' kończy.]" oraz wyświetli "[Klawisz 'h' wyświetla opis.]" zamiast wysyłać znak dzwonka, kiedy naciśnięto nieprawidłowy klawisz.

-l, --logical
    Nie oczekuje po wierszu zawierającym ^L (wysuw strony).

-e, --exit-on-eof
    Exit on End-Of-File, enabled by default if not executed on terminal.

-f, --no-pause
    Liczy wiersze logiczne, zamiast ekranowych (tj. długie linie nie są zawijane).

-p, --print-over
    Nie przewija. Zamiast tego czyści cały ekran i następnie wyświetla tekst. Proszę zwrócić uwagę, że ta opcja jest włączana automatycznie, jeśli plik wykonywalny nazywa się page.

-c, --clean-print
    Nie przewija ekranu. Zamiast tego, rysuje każdy ekran od początku, czyszcząc resztę każdego wiersza w momencie jego wyświetlania.

-s, --squeeze
    Zamienia wiele sąsiadujących pustych wierszy w jeden.

-u, --plain
    Wyłącza podkreślanie. Opcja ignorowana po cichu, w celu zachowania kompatybilności wstecznej.

-n, --lines liczba
    Ustawia liczbę wierszy na ekran. Argument liczba jest dodatnią liczbą naturalną. Opcja --lines przesłoni wszystkie wartości pozyskane z innych źródeł, np. liczbę wierszy zgłoszoną przez terminal.

-liczba
    Opcja numeryczna oznaczająca to samo co --lines.

+numer
    Zaczyna wyświetlanie każdego pliku od wiersza numer.

+/łańcuch
    Plik zostanie wyświetlony od wiersza ze znalezionym łańcuchem.

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

POLECENIA

Interaktywne komendy more oparte są na vi(1). Niektóre komendy mogą być poprzedzone liczbą dziesiętną, zwaną k w opisach poniżej. W poniższych opisach, ^X oznacza kombinację control-X.

h lub ?
    Pomoc: wyświetl podsumowanie tych komend. Tę komendę należy pamiętać, nawet jeśli zapomni się wszystkich innych.

spacja
    Wyświetl poprzednie k wierszy tekstu. Domyślnie bieżący rozmiar ekranu.

z
    Wyświetl następne k wierszy tekstu. Domyślnie bieżący rozmiar ekranu. Argument staje się nową wartością domyślną.

enter
    Wyświetl następne k wierszy tekstu. Domyślnie jeden. Argument staje się nową wartością domyślną.

d lub ^D
    Przewiń o k wierszy. Domyślnie bieżący rozmiar przewijania, początkowo 11. Argument staje się nową wartością domyślną.

q lub Q lub INTERRUPT
    Wyjdź.

s
    Przeskocz k wierszy tekstu w przód. Domyślnie jeden.

f
    Przeskocz k ekranów tekstu w przód. Domyślnie jeden.

b lub ^B
    Przeskocz k ekranów tekstu w tył. Domyślnie jeden. Działa tylko z plikami, nie działa z potokami.

'
    Idź do miejsca rozpoczęcia ostatniego wyszukiwania.

=
    Wyświetl bieżący numer wiersza.

/wzór
    Poszukaj k-tego wystąpienia wyrażenia regularnego. Domyślnie pierwszego.

n
    Poszukaj k-tego wystąpienia ostatniego wyrażenia regularnego. Domyślnie pierwszego.

!polecenie lub :!polecenie
    Wykonaj polecenie w podpowłoce.

v
    Uruchom edytor od bieżącego wiersza. Edytor jest określony zmienną środowiskową VISUAL lub, jeśli jej nie zdefiniowano, EDITOR. Jeśli nie zdefiniowano żadnej ze zmiennych domyślnym edytorem jest vi(1).

^L
    Odśwież ekran.

:n
    Idź do k-tego następnego pliku. Domyślnie pierwszego następnego.

:p
    Idź do k-tego poprzedniego pliku. Domyślnie pierwszego poprzedniego.

:f
    Wyświetl bieżącą nazwę pliku i numer wiersza.

.
    Powtórz poprzednią komendę.

ŚRODOWISKO

Polecenie more honoruje następujące zmienne środowiskowe, jeśli istnieją:

MORE
    Zmienną tą można ustawić na ulubione opcje dla more.

SHELL
    Bieżąca używana powłoka (normalnie ustawiana przez powłokę w czasie logowania).

TERM
    Typ terminala, używany przez more do pobrania charakterystyk terminala koniecznych do manipulowania ekranem.

VISUAL
    Preferowany przez użytkownika edytor. Przywoływany po wciśnięciu klawisza v.

EDITOR
    Wybrany edytor, używany gdy nie podano VISUAL.

HISTORIA

Polecenie more pojawiło się w 3.0BSD. Ta strona podręcznika dokumentuje wersję 5.19 more (Berkeley 29 VI 88), która jest obecnie używana w środowisku linuksowym. Dokumentacja została stworzona z użyciem kilku innych wersji stron man oraz szczegółowej inspekcji kodu źródłowego.

AUTORZY

Eric Shienbrood, UC Berkeley.

Zmodyfikowany przez Geoffa Pecka z UCB, który dodał podkreślenia i pojedyncze odstępy liniowe.

Zmodyfikowany przez Johna Foderaro z UCB, który dodał -c i zmienną środowiskową MORE.

ZOBACZ TAKŻE

less(1), vi(1)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The more command is part of the util-linux package which can be downloaded from

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.